> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get available check origins configuration

> Retrieves the available check origins configuration for a specific entity (employee or company)



## OpenAPI

````yaml GET /core/v3/configurations/available-check-origin
openapi: 3.0.0
info:
  description: ''
  version: 3.0.0
  title: Sesame Public API
servers:
  - url: https://api-{region}.sesametime.com
    variables:
      region:
        default: eu1
security: []
tags: []
paths:
  /core/v3/configurations/available-check-origin:
    get:
      tags:
        - Configurations
      summary: Get available check origins configuration
      description: >-
        Retrieves the available check origins configuration for a specific
        entity (employee or company)
      operationId: getAvailableCheckOrigins
      parameters:
        - in: query
          name: entityId
          description: Entity ID (employee or company UUID)
          required: true
          schema:
            type: string
            format: uuid
        - in: query
          name: entityType
          description: Entity type
          required: true
          schema:
            type: string
            enum:
              - employee
              - company
      responses:
        '200':
          description: Available check origins configuration
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      availableCheckOrigins:
                        type: array
                        description: List of allowed check origins
                        items:
                          type: string
                          enum:
                            - web
                            - mobile
                            - wall
                            - watch
                        example:
                          - web
                          - mobile
                          - wall
                      createdAt:
                        type: string
                        format: Y-m-dTH:i:sP
                        example: '2020-01-01T10:00:00+01:00'
                      updatedAt:
                        type: string
                        format: Y-m-dTH:i:sP
                        example: '2020-01-01T10:00:00+01:00'
                  meta:
                    type: object
                    properties:
                      currentPage:
                        type: integer
                        example: 1
                      lastPage:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 1
                      perPage:
                        type: integer
                        example: 1
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````